#include<bits/stdc++.h>
#include<iostream>
using namespace std;
unsigned short n;
int arr[]={};

int main(){

 int otg[]={};
 int r=0;
cin>>n;
for(int i=0; i<n; i++){
    cin>> arr[i];
    for(int j=1; j<arr[i]; j++){
        for(int k=1; k<arr[i]; k++){

            if(j*j+k*k==arr[i]){
                otg[i]=1;

            }else{otg[i]=0; }
        }
    }
}

for(int i=0; i<n; i++ ){ cout<<otg[i]<<endl;}
cout<<otg[1];
    return 0;
}
